package org.perpus.model;

import java.util.ArrayList;
import java.util.List;

public class ListPeminjaman 
{
	private static List<Peminjaman> peminjamans = new ArrayList<>();

	public static List<Peminjaman> getPeminjamans() 
	{
		return peminjamans;
	}

	public static void setPeminjamans(List<Peminjaman> peminjamans) 
	{
		ListPeminjaman.peminjamans = peminjamans;
	}
	
	public static void addToListPeminjamans(String username, String judul)
	{
		Buku buku = ListBuku.getBukuFromList(judul);
		if(buku == null || buku.getJumlah()==0)
		{
			return;
		}
		else
		{
			Peminjaman peminjaman = new Peminjaman(username,judul,"pending");
			ListPeminjaman.peminjamans.add(peminjaman);
			buku.setJumlah(buku.getJumlah()-1);
		}
	}
	
	public static Peminjaman getPeminjamanFromList(String username, String judul)
	{
		Buku buku = ListBuku.getBukuFromList(judul);
		
		if(buku == null || buku.getJumlah() == 0)
		{
			return null;
		}
		else
		{
			for(Peminjaman peminjaman : ListPeminjaman.peminjamans)
			{
				if(peminjaman.getUsername().compareTo(username) == 0 
						&& peminjaman.getJudul().compareTo(judul) == 0)
				{
					return peminjaman;
				}
			}
			return null;
		}
	}
	
	public static void deletePeminjaman(String username, String judul)
	{
		Peminjaman peminjaman = ListPeminjaman.getPeminjamanFromList(username, judul);
		if(peminjaman==null)
		{
			return;
		}
		else
		{
			ListPeminjaman.peminjamans.remove(peminjaman);
			Buku buku = ListBuku.getBukuFromList(judul);
			buku.setJumlah(buku.getJumlah()+1);
		}
	}
	
	public static boolean isPeminjamanExist(String username, String judul)
	{
		for(Peminjaman peminjaman : peminjamans)
		{
			if(peminjaman.getUsername().compareTo(username) == 0 && peminjaman.getJudul().compareTo(judul) == 0){
				return true;
			}
		}
		return false;
	}
	
	public static void changeStatusPeminjaman(String username,String judul,String status)
	{
		Peminjaman peminjaman = getPeminjamanFromList(username, judul);
		peminjaman.setStatus(status);
	}
}
